Bug 1663280 - gnome-shell related memory leaks
Summary: gnome-shell related memory leaks
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-shell
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
Assignee: Owen Taylor
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-01-03 16:12 UTC by udo
Modified: 2019-12-04 05:08 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed:


Attachments (Terms of Use)
Screenshot of "top" showing gnome-shell hogging memory (242.70 KB, image/png)
2019-12-04 04:55 UTC, M. Edward (Ed) Borasky
no flags Details
journalctl log (3.48 MB, text/plain)
2019-12-04 04:58 UTC, M. Edward (Ed) Borasky
no flags Details

Description udo 2019-01-03 16:12:24 UTC
Description of problem:
Unsure if related to the issue found at https://bugzilla.redhat.com/show_bug.cgi?id=1640039, so therefor this separate bug.
On my Fedora 29 system I see two gnome-shell process gradually grow in memory consumption:

$ ps aux|grep /usr/bin/gnome-shell
udo      15604  0.0  0.0 215752   828 pts/3    S+   17:06   0:00 grep --color=auto /usr/bin/gnome-shell
gdm      23934  0.0 26.6 8047104 4104332 tty1  Sl+   2018   1:08 /usr/bin/gnome-shell
udo      24398  1.6  1.8 5247276 281244 tty2   Sl+   2018  97:20 /usr/bin/gnome-shell
$

Version-Release number of selected component (if applicable):
gnome-shell-3.30.2-1.fc29.x86_64

How reproducible:
Use Fedora, run command in cli as shown.

Actual results:
See ^^^

Expected results:
Stable memory consumption.

Additional info:
This is after close to a week of daily use of the gnome gui. I've seen gnome-shell consume as much as 12GB.
How to find the root cause?

Comment 1 udo 2019-01-05 09:35:41 UTC
A few days later things look like:

$ ps aux|grep /usr/bin/gnome-shell
gdm      23934  0.0 30.5 9756160 4710528 tty1  Sl+   2018   1:36 /usr/bin/gnome-shell
udo      24398  2.1  2.1 5282820 331080 tty2   Sl+   2018 176:51 /usr/bin/gnome-shell
udo      29302  0.0  0.0 215752   900 pts/3    S+   10:32   0:00 grep --color=auto /usr/bin/gnome-shell
$

This is on a 16GB (minus Vram) box. This means that this leak is becoming significant fairly quickly.

Comment 2 udo 2019-01-06 08:15:16 UTC
$ ps aux|grep /usr/bin/gnome-shell
udo      21583  0.0  0.0 215752   892 pts/3    S+   09:12   0:00 grep --color=auto /usr/bin/gnome-shell
gdm      23934  0.0 30.3 10673664 4680836 tty1 Sl+   2018   1:51 /usr/bin/gnome-shell
udo      24398  2.3  2.1 5294028 337028 tty2   Sl+   2018 227:51 /usr/bin/gnome-shell

After Alt-F2, r [enter]:

$ ps aux|grep /usr/bin/gnome-shell
udo      21755  0.0  0.0 215752   896 pts/3    S+   09:13   0:00 grep --color=auto /usr/bin/gnome-shell
gdm      23934  0.0 30.3 10673664 4681356 tty1 Sl+   2018   1:51 /usr/bin/gnome-shell
udo      24398  2.3  1.2 4757744 197008 tty2   Sl+   2018 227:56 /usr/bin/gnome-shell

Comment 3 udo 2019-01-27 07:41:33 UTC
Due to this issue the GUI cannot function beyond 10 days or so as the memory consumption causes a runaway, sluggish system that does not really respond anymore except to ctrl-alt-SysRq-[beksu] etc

Comment 4 Ben Cotton 2019-10-31 18:51:52 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 5 Honza Brázdil 2019-12-02 15:42:39 UTC
I started to also see memory leaks after upgrade F29 -> F30 -> F31.

$ ps aux | grep gnome-shell
jbrazdil    1866  0.9 14.1 6764184 2260352 ?     Rsl  lis27  67:51 /usr/bin/gnome-shell


gnome-shell-3.34.1-4.fc31.x86_64

Comment 6 M. Edward (Ed) Borasky 2019-12-04 04:55:46 UTC
Created attachment 1641877 [details]
Screenshot of "top" showing gnome-shell hogging memory

Fedora 31 on an HP Omen (NVidia plus Intel GPU, NVidia drivers installed, GNOME on xorg, not Wayland). Uptime is only about five hours. The only other potential issue is I'm running Firefox Nightly and I just got off a Google Meet video call. I'll run a journalctl and attach it.

Comment 7 M. Edward (Ed) Borasky 2019-12-04 04:58:51 UTC
Created attachment 1641878 [details]
journalctl log

Comment 8 M. Edward (Ed) Borasky 2019-12-04 05:08:35 UTC
$ dnf info gnome-shell
Installed Packages
Name         : gnome-shell
Version      : 3.34.1
Release      : 4.fc31
Architecture : x86_64
Size         : 8.2 M
Source       : gnome-shell-3.34.1-4.fc31.src.rpm
Repository   : @System
From repo    : updates
Summary      : Window management and application launching for GNOME
URL          : https://wiki.gnome.org/Projects/GnomeShell
License      : GPLv2+
Description  : GNOME Shell provides core user interface functions for the GNOME 3 desktop,
             : like switching to windows and launching applications. GNOME Shell takes
             : advantage of the capabilities of modern graphics hardware and introduces
             : innovative user interface concepts to provide a visually attractive and
             : easy to use experience.


I also have the topicons-plus and dash-to-dock extensions installed. This just started happening a day or so ago, so there may be a gnome-shell change the extensions haven't caught up with. GNOME is pretty much unusable with this leak, so if there's something I can troubleshoot beyond backing out the extensions and using stable Firefox, I'm all ears. ;-)


Note You need to log in before you can comment on or make changes to this bug.